## evolution 0.0.1

=== DESCRIPTION ===
Package: evolution
Type: Package
Title: A Client for 'Evolution Cloud API'
Date: 2025-11-17
Version: 0.0.1
Authors@R: c(
  person("Andre", "Leite", email = "leite@castlab.org", role = c("aut", "cre")),
  person("Hugo", "Vaconcelos", email = "hugo.vasconcelos@ufpe.br", role = "aut"),
  person("Diogo", "Bezerra", email = "diogo.bezerra@ufpe.br", role = "aut"))
Description: Provides an 'R' interface to the 'Evolution API' <https://evoapicloud.com>, enabling sending and receiving 'WhatsApp' messages directly from 'R'. Functions include sending text, images, documents, stickers, geographic locations, and interactive messages (lists). Also includes 'webhook' parsing utilities and channel health checks.
License: MIT + file LICENSE
URL: https://github.com/StrategicProjects/evolution/
BugReports: https://github.com/StrategicProjects/evolution/issues/
Depends: R (>= 4.2.0)
Imports: httr2 (>= 1.0.0), cli (>= 3.6.0), base64enc
Suggests: testthat (>= 3.0.0), knitr, rmarkdown, pkgdown
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-11-17 13:06:46 UTC; leite
Author: Andre Leite [aut, cre],
  Hugo Vaconcelos [aut],
  Diogo Bezerra [aut]
Maintainer: Andre Leite <leite@castlab.org>
Repository: CRAN
Date/Publication: 2025-11-20 15:30:07 UTC

## evolution 0.1.0

=== DESCRIPTION ===
Package: evolution
Type: Package
Title: A Client for 'Evolution Cloud API'
Date: 2026-02-27
Version: 0.1.0
Authors@R: c(
  person("Andre", "Leite", email = "leite@castlab.org", role = c("aut", "cre")),
  person("Hugo", "Vasconcelos", email = "hugo.vasconcelos@ufpe.br", role = "aut"),
  person("Diogo", "Bezerra", email = "diogo.bezerra@ufpe.br", role = "aut"))
Description: Provides an 'R' interface to the 'Evolution API'
    <https://evoapicloud.com>, enabling sending and receiving 'WhatsApp'
    messages directly from 'R'. Functions include sending text, media
    (image/video/document), audio, stickers, geographic locations, contacts,
    polls, interactive lists and button messages. Also includes number
    verification and structured CLI logging for debugging.
License: MIT + file LICENSE
URL: https://github.com/StrategicProjects/evolution/
BugReports: https://github.com/StrategicProjects/evolution/issues/
Depends: R (>= 4.2.0)
Imports: httr2 (>= 1.0.0), cli (>= 3.6.0), jsonlite, base64enc
Suggests: testthat (>= 3.0.0), knitr, rmarkdown, pkgdown
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2026-02-27 14:43:30 UTC; leite
Author: Andre Leite [aut, cre],
  Hugo Vasconcelos [aut],
  Diogo Bezerra [aut]
Maintainer: Andre Leite <leite@castlab.org>
Repository: CRAN
Date/Publication: 2026-02-27 15:40:02 UTC

## evolution 2.30.3

=== debian/changelog ===
evolution (2.30.3-5) unstable; urgency=low

  * debian/po:
    - de.po manually unfuzzified.                      (really) closes: #600526
    - ru.po as well.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 17 Nov 2010 22:35:01 +0100

evolution (2.30.3-4) unstable; urgency=low

  * debian/po:
    - update ru.po, thanks to Yuri Kozlov.                      closes: #602754
    - update de.po, thanks to Helge Kreutzmann.                 closes: #600526 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 13 Nov 2010 09:53:07 +0100

evolution (2.30.3-3) unstable; urgency=low

  * Update debconf script to ask about aborting the upgrade or proceeding by
    killing processes.
  * debian/patches:
    - 05_fix-inline-gpg added, fix inline GPG not always recognized, backport
      patch from 2.32 branch. (GNOME #630295, git 36abdbd).     closes: #599403
    - 06_fix-empty-quote-html-reply added, fix empty quote when replying to
      HTML messages. (GNOME #629046, git 19fb229).              closes: #596156
  * debian/po:
    - add da.po, thanks to Joe Hansen.        closes: #599452, #600369, #600531
    - update sv.po, thanks to Martin Bagge.            closes: #600352, #600663
    - update ru.po, thanks to Yuri Kozlov.             closes: #600353, #600612
    - update it.po, thanks to Ludovico Salemi,Luca Monducci.    closes: #601083
    - update cs.po, thanks to Martin Šín.              closes: #600393, #600565
    - add sk.po, thanks to Slavko.                              closes: #600372
    - update pt.po, thanks to Américo Monteiro.                 closes: #600368
    - update fr.po, thanks to Christian Perrier.                closes: #600615
    - add zh_CN.po, thanks to Ji ZhengYu.                       closes: #600689 
    - update es.po, thanks to Omar Campagne.                    closes: #600801 
    - update fi.po, thanks to Esko Arajärvi.                    closes: #601086 

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 25 Oct 2010 21:57:30 +0200

evolution (2.30.3-2) unstable; urgency=low

  * debian/patches:
    - 03_correctly-init-nss added, fix nss initialisation by login to NSS
      database before invoking certificate manager.
    - 04_login-to-nss-on-demand added, only init nss when needed. 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Sep 2010 21:00:35 +0200

evolution (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
    - fix crash in group_by_thread().                           closes: #589340
  * debian/patches:
    - 01_dont-ship-evo-mail-notifier.png dropped, included upstream.
    - 03_fix-crash-itip as well
  * debian/control:
    - bump gtkhtml build-depends to 3.30.3.
    - update standards version to 3.9.1.
  * debian/preinst:
    - only match evolution main process, evolution-data-server and 
      evolution-exchange storage process for candidate to be stopped at upgrade 
      time.
  * debian/bug-presubj:
    - update text, asking to report in Debian BTS and adding Forwarded-To
      header.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Aug 2010 13:47:16 +0200

evolution (2.30.2-1) unstable; urgency=low

  * New upstream release.
    - fix message deleting in search folers.                    closes: #585794
    - fix crash on i386 with largefile.                         closes: #585921
    - fix folder creation inside filter window.                 closes: #586905
  * debian/rules:
    - install some information on bug reporting
    - include gnome-get-source.mk.
  * debian/bug-presubj: warn user that she should report upstream issues
    directly to upstream bugzilla because of lack of time and manpower.
  * debian/patches
    - 03_fix-segfault-on-some-mails-display, 
      04_fix-crash-when-viewing-closing-mails-quickly  dropped, 
      included upstream.
    - 03_fix-crash-itip added, fix crash in ITIP parser.        closes: #584661
  * debian/control:
    - update build-deps to 2.30.2.
    - update debhelper build-dep to 7.2.3 for dh_bugfiles.
    - add build-dep on gnome-pkg-tools for gnome-get-source.mk.
  * Switch to 3.0 (quilt) format.
  * debian/libevolution.install:
    - install /usr/lib/evolution/2.30/evolution-alarm-notify in the package.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 25 Jun 2010 16:59:53 +0200

evolution (2.30.1.2-3) unstable; urgency=low

  * debian/patches
    - 03_fix-segfault-on-some-mails-display added.              closes: #580419
    - 04_fix-crash-when-viewing-closing-mails-quickly added,
      cherry-picked from upstream. Fix crash when opening/closing mails
      quickly.                                                  closes: #582564
  * debian/evolution.links dropped, upstream doesn't ship them in /usr/bin for
    good reason, they're supposed to be called from evolution not directly by
    user, and the interface might not be stable.                closes: #582491
  * debian/watch updated to order the first directory too.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 25 May 2010 07:25:00 +0200

evolution (2.30.1.2-2) unstable; urgency=low

  * debian/rules:
    - fix nm disabled in linux builds.                          closes: #579592
  * debian/control:
    - drop recommends on gnome-pilot-conduits since we don't build anymore
      with pilot support.                                       closes: #580293
    - update evolution-dev dependencies according to pkgconfig files.
  * debian/evolution-dev.install:
    - ship documentation.
  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 17 May 2010 15:31:33 +0200

evolution (2.30.1.2-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 03_fix-face-plugin-linking dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 28 Apr 2010 21:36:23 +0200

evolution (2.30.1.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/patches:
    - 03_fix-face-plugin-linking, fix ftbfs with face plugin.
  * debian/control:


=== debian/control ===
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, 
           Margarita Manterola <debian@marga.com.ar>,
           Loic Minier <lool@dooz.org>,
           Heikki Henriksen <heikkih@gmail.com>,
           Oystein Gisnas <oystein@gisnas.net>,
           Pedro Fragoso <emberez@gmail.com>,
           Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.1
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution
Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution
Build-Depends: debhelper (>= 7.2.3~),
               cdbs (>= 0.4.52),
               dpkg-dev (>= 1.14.16),
               scrollkeeper,
               flex,
               bison,
               intltool (>= 0.35.0),
               libtool,
               pkg-config (>= 0.16.0),
               gnome-icon-theme (>= 2.19.92),
               gnome-doc-utils (>= 0.3.2),
               gtk-doc-tools (>= 0.6),
               libatk1.0-dev,
               libldap2-dev,
               libgtkhtml3.14-dev (>= 3.30.3),
               libgtkhtml-editor-dev (>= 3.30.3),
               libkrb5-dev,
               libnss3-dev,
               psmisc,
               libglib2.0-dev (>= 2.22.0),
               evolution-data-server-dev (>= 2.30.3),
               evolution-data-server-dev (<< 2.31),
               libgtk2.0-dev (>= 2.18.0),
               libgnomecanvas2-dev,
               libxml2-dev,
               libgconf2-dev,
               libcamel1.2-dev (>= 2.30.3),
               libedataserver1.2-dev (>= 2.30.3),
               libegroupwise1.2-dev (>= 2.30.3),
               libedataserverui1.2-dev (>= 2.30.3),
               libebackend1.2-dev (>= 2.30.3),
               libgdata1.2-dev (>= 2.30.3),
               libgdata-google1.2-dev (>= 2.30.3),
               libgnome2-dev,
               libecal1.2-dev (>= 2.30.3),
               libebook1.2-dev (>= 2.30.3),
               libdbus-glib-1-dev,
               libnm-glib-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libnotify-dev (>= 0.3.0),
               libsoup2.4-dev,
               libdbus-1-dev,
               libgstreamer0.10-dev,
               libytnef0-dev,
               automake,
               libtool,
               libical-dev,
               libicu-dev,
               libgweather-dev (>= 2.25.3),
               po-debconf,
               libgnome-desktop-dev (>= 2.26.0),
               sharutils,
               libunique-dev,
               libcanberra-dev,
               libcanberra-gtk-dev,
               libgtkimageview-dev,
               libunique-dev,
               gnome-pkg-tools

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 2.30.3),
         evolution-data-server (<< 2.31),
         gnome-icon-theme (>= 2.19.92),
         dbus
Pre-Depends: debconf (>= 1.4.69) | debconf-2.0
Recommends: gnome-desktop-data,
            evolution-plugins,
            evolution-webcal,
            yelp,
            bogofilter | spamassassin
Suggests: bug-buddy,
          gnupg,
          network-manager,
          evolution-exchange,
          evolution-dbg,
          evolution-plugins-experimental
Provides: mail-reader,
          imap-client
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange and Groupwise
 servers, newsgroup client, LDAP support, web calendars and
 synchronization with Palm devices.
 .
 Evolution is a graphical application that is part of GNOME, and
 is distributed by Novell, Inc.
 .
 See http://www.novell.com/products/evolution/ for more
 information.
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - calendar-weather
  - itip-formatter
  - plugin-manager
  - default-source
  - addressbook-file
  - startup-wizard
  - print-message
  - mark-all-read
  - groupwise-features
  - groupwise-account-setup
  - hula-account-setup
  - mail-account-disable
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - sa-junk-plugin
  - bogo-junk-plugin
  - mono

Package: libevolution
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: evolution (<< 2.29.1-1)
Description: evolution libraries
 This package contains libraries used by evolution and the Anjal mail client.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: evolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}, 
# evolution-plugin
         libxml2-dev,
         libcamel1.2-dev,
         libunique-dev,
         libgtkhtml3.14-dev,
         libgtkhtml-editor-dev,
         libgnomecanvas2-dev,
# evolution-shell
         libgconf2-dev,
         libgnome-desktop-dev,
         libgtk2.0-dev,
         libedataserverui1.2-dev
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-dbg
Section: debug
Priority: extra
Architecture: any
Depends: evolution (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains unstripped binaries of evolution for
 use in debugging.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: evolution-plugins-experimental (<< 2.29.2-1)
Replaces: evolution-plugins-experimental (<< 2.29.1-1)
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - bbdb
  - subject-thread
  - save-calendar
  - select-one-source
  - copy-tool
  - mail-to-task
  - mark-calendar-offline
  - audio-inline
  - mailing-list-actions
  - default-mailer
  - import-ics-attachments
  - prefer-plain
  - mail-notification
  - attachment-reminder
  - face
  - backup-restore
  - templates
  - vcard-inline
  - image-inline

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - folder-unsubscribe
  - mail-to-meeting
  - save-attachments
  - external-editor
  - ipod-sync
  - tnef-attachments
  - email-custom-headers
  - evolution-webdav

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk                  

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep ^Version | sed -ne 's/^Version: //g' -e 's/-[^-]*$$//pg')


ELIBDIR := usr/lib/evolution/2.30

DEB_SHLIBDEPS_INCLUDE := debian/evolution/$(ELIBDIR)
DEB_DH_MAKESHLIBS_ARGS_libevolution += -V'libevolution (>= ${UPSTREAM_VERSION})' --noscripts -X $(ELIBDIR)/modules
DEB_DH_MAKESHLIBS_ARGS_evolution += -V'evolution (>= ${UPSTREAM_VERSION})'
DEB_DH_MAKESHLIBS_ARGS_ALL += --noscripts -X $(ELIBDIR)/plugins


CFLAGS += -fPIC

DEB_CONFIGURE_EXTRA_FLAGS += \
	--with-openldap \
	--enable-nls \
	--disable-pilot-conduits \
	--with-krb5=/usr \
	--sysconfdir=/etc \
	--libexecdir=/usr/lib \
	--enable-plugins=experimental \
	--disable-pst-import \
	--disable-contacts-map

ifneq ($(DEB_HOST_ARCH_OS), linux)
	DEB_CONFIGURE_EXTRA_FLAGS+=--disable-nm
else
	DEB_CONFIGURE_EXTRA_FLAGS+=--enable-nm
endif

clean::
	debconf-updatepo
	find -name '*.schemas' | xargs rm -f

common-binary-post-install-indep::
	dh_bugfiles -A

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/evolution/([\d\.]+[02468])/evolution-([\d\.]+)\.tar\.gz	debian	uupdate

## evolution 2.32.2

=== debian/changelog ===
evolution (2.32.2-0ubuntu7) natty; urgency=low

  * debian/patches/10_desktop_shortcuts.patch
    - Use TargetEnvironment instead of OnlyShowIn

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 12 Apr 2011 13:50:12 -0400

evolution (2.32.2-0ubuntu6) natty; urgency=low

  * debian/patches/93_no_tray_icon_by_default.patch: default to not having
    a tray icon for calendar alarms since Unity doesn't have a notification
    area anymore. (LP: #757805)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Apr 2011 13:53:01 -0400

evolution (2.32.2-0ubuntu5) natty; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/99_git_ldaps_on_port_636_f0ac225.patch: Revert commit
    8542059: it breaks connection to servers that allow only SSL, not TLS.
    (LP: #751868)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 08 Apr 2011 11:00:47 +0200

evolution (2.32.2-0ubuntu4) natty; urgency=low

  * debian/patches/95-git-04-express_acount_setup_5a25840.patch:
    - Remove unneeded patch that was getting the wrong widget (LP: #717971)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 23 Mar 2011 16:21:36 +0100

evolution (2.32.2-0ubuntu3) natty; urgency=low

  * debian/evolution-plugins.install: Re-add the face plugin that was dropped
    accidentally. (LP: #682266)
  * debian/patches/96_git_sent_draft_folders_wizard_setup_7215cf0.patch: Set
    remote Sent and Drafts folders when setting up accounts using the startup
    wizard. (LP: #720383)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Feb 2011 13:29:56 -0500

evolution (2.32.2-0ubuntu2) natty; urgency=low

  * debian/patches/10_desktop_shortcuts.patch
    - Display shortcuts for contacts, calendar and compose in the launcher

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 10:07:08 -0500

evolution (2.32.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump depends on evolution-data-server packages
  * debian/rules:
    - Drop simple-patchsys.mk
    - Update ELIBDIR
  * debian/source:
    - Use source version 3.0
  * debian/patches/93_fix_sources_migration.patch:
  * debian/patches/94-git-backport-b87510d-to-32cc60f.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 13:58:53 +1100

evolution (2.32.1-0ubuntu3) natty; urgency=low

  [ Martin Pitt ]
  * debian/evolution.gconf-defaults: Disable systray for alarms, as Unity
    doesn't have a systray. Use popup windows instead.

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/94-git-backport-b87510d-to-32cc60f.patch: Cherry-pick a
    number of fixes from upstream git gnome-2-32 branch, specifically
    commits from b87510d to 32cc60f:
    - Bug #553438 - Deletes lines of reply when changing address (LP: #259012)
    - Bug #638808 - camel_shutdown() called too early
    - Updated Swedish translation
    - Bug #633854 - [templates] Crash in build_template_menus_recurse
    - Bug 637482 - Flushing outbox gives up on first error
    - Bug #634385 - Crash in smtp_connect
    - Updated Malalayam translations
    - Don't set the URL's defaults when the providers have not been refreshed
    - Only set the URL's defaults when we are creating a new account
    - Set provider defaults on when CamelURLs get refreshed with a new protocol
    - Don't set the provider's defaults on the URL from the widget functions
    - Function to set a CamelURL's defaults based on a provider's defaults
    - Bug #627176 - Do not spawn other process when clicking mailto: uri
    - Default	to beginning of the day for the last alarm notification
    - Update actions in EMailBrowser on message select too
    - Revert certain parts from the previous commit
    - Bug #635738 - Sanitize Previous/Next buttons when not usable
    - [vCard-inline] Check also text/directory parts
    - Bug #634387 - Crash in bbdb_sync_buddy_list_in_thread
    - Bug #635673 - Stack overflow when opening slow calendar
  * debian/patches/95-git-01-no_recipient_meetings_d545307.patch: bgo 635828:
    Do not send meeting mails with no recipient
  * debian/patches/95-git-02-empty_trash_on_exit_30427e1.patch: bgo 620609:
    Empty trash at exit doesn't work
  * debian/patches/95-git-03-ctrl-r_nntp_focus_new_msg_f5562e9.patch:
    bgo 404570: Ctrl-R / NNTP doesn't focus the new message
  * debian/patches/95-git-04-express_acount_setup_5a25840.patch: bgo
    636058: Account setup issues express mode.
  * debian/patches/95-git-05-crash_in_mini_cal_view_5549b33.patch: bgo
    602183: Crash in Mini Calendar View
  * debian/patches/95-git-07-freebusy_invalid_writes_750abd6.patch: bgo
    620234: Invalid writes during free/busy
  * debian/patches/95-git-08-open_meeting_as_meeting_0efc5f6.patch: bgo
    627536: Open meeting as meeting, not as appointment, in week view
    (LP: #621143)
  * debian/patches/95-git-09-force-
    shutdown_kill_factories_7ddb393.patch: bgo 590245: 'evolution --
    force-shutdown' should kill factories
  * debian/patches/95-git-10-freebusy_with_auth_84e2609.patch: bgo
    593587: Fails to retrieve free/busy info if auth required
  * debian/patches/95-git-12-webdav_addr_book_port_fb18743.patch: bgo
    633332: Preserve port number in WebDAV address book
  * debian/patches/95-git-13-add_filter_rule_1a7b4d4.patch: bgo 633611:
    Do not close Add Filter Rule dialog on error
  * debian/patches/95-git-14-forget_passwords_4b58f11.patch: bgo 633702:
    Forget password when saving account without Remember password
  * debian/patches/95-git-16-quote_names_in_preview_d132f8f.patch: bgo
    250046: Quote names in addresses when necessary in mail preview
  * debian/patches/95-git-17_bcc_search_rules_06ba028.patch: bgo 593020:
    Do not check Bcc in Sender or Recipients condition
  * debian/patches/95-git-18-crash_on_contact_move_098a7ab.patch: bgo
    634305: Crash on move of contacts between books

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 20 Jan 2011 16:25:58 -0500

evolution (2.32.1-0ubuntu2) natty; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: evolution
 Section: gnome
 Priority: optional
-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, 
            Margarita Manterola <debian@marga.com.ar>,
            Loic Minier <lool@dooz.org>,
@@ -12,10 +13,10 @@
 Standards-Version: 3.9.1
 Dm-Upload-Allowed: yes
 Homepage: http://www.gnome.org/projects/evolution/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution
-Build-Depends: debhelper (>= 7.2.3~),
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/evolution/ubuntu
+Build-Depends: debhelper (>= 5.0.0),
                cdbs (>= 0.4.52),
+               dh-autoreconf (>= 1ubuntu1),
                dpkg-dev (>= 1.14.16),
                scrollkeeper,
                flex,
@@ -23,33 +24,31 @@
                intltool (>= 0.35.0),
                libtool,
                pkg-config (>= 0.16.0),
-               gnome-icon-theme (>= 2.19.92),
+               gnome-icon-theme (>= 2.30.2.1),
                gnome-doc-utils (>= 0.3.2),
                gtk-doc-tools (>= 0.6),
                libatk1.0-dev,
                libldap2-dev,
-               libgtkhtml3.14-dev (>= 3.30.3),
-               libgtkhtml-editor-dev (>= 3.30.3),
+               libgtkhtml3.14-dev (>= 1:3.31.90),
+               libgtkhtml-editor-dev (>= 1:3.31.90),
                libkrb5-dev,
                libnss3-dev,
                psmisc,
-               libglib2.0-dev (>= 2.22.0),
-               evolution-data-server-dev (>= 2.30.3),
-               evolution-data-server-dev (<< 2.31),
-               libgtk2.0-dev (>= 2.18.0),
+               libglib2.0-dev (>= 2.25.12),
+               evolution-data-server-dev (>= 2.32.2),
+               libgtk2.0-dev (>= 2.20.0),
                libgnomecanvas2-dev,
                libxml2-dev,
                libgconf2-dev,
-               libcamel1.2-dev (>= 2.30.3),
-               libedataserver1.2-dev (>= 2.30.3),
-               libegroupwise1.2-dev (>= 2.30.3),
-               libedataserverui1.2-dev (>= 2.30.3),
-               libebackend1.2-dev (>= 2.30.3),
-               libgdata1.2-dev (>= 2.30.3),
-               libgdata-google1.2-dev (>= 2.30.3),
+               libcamel1.2-dev (>= 2.32.2),
+               libedataserver1.2-dev (>= 2.32.2),
+               libegroupwise1.2-dev (>= 2.32.2),
+               libedataserverui1.2-dev (>= 2.32.2),
+               libebackend1.2-dev (>= 2.32.2),
+               libgdata-dev (>= 0.6.3),
                libgnome2-dev,
-               libecal1.2-dev (>= 2.30.3),
-               libebook1.2-dev (>= 2.30.3),
+               libecal1.2-dev (>= 2.32.2),
+               libebook1.2-dev (>= 2.32.2),
                libdbus-glib-1-dev,
                libnm-glib-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libnotify-dev (>= 0.3.0),
@@ -62,26 +61,28 @@
                libical-dev,
                libicu-dev,
                libgweather-dev (>= 2.25.3),
-               po-debconf,
                libgnome-desktop-dev (>= 2.26.0),
                sharutils,
-               libunique-dev,
+               libunique-dev (>= 1.1.2),
+               gnome-pkg-tools,
                libcanberra-dev,
                libcanberra-gtk-dev,
-               libgtkimageview-dev,
-               libunique-dev,
-               gnome-pkg-tools
+               python-dev,
+               shared-mime-info (>= 0.22),
+               libpst-dev (>=0.6.41),
+               libpango1.0-dev (>= 1.0.1),
+               libgail-dev (>= 1.9.0),
+               liblaunchpad-integration-dev
 
 Package: evolution
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 2.30.3),
-         evolution-data-server (<< 2.31),
+         evolution-data-server (>= 2.32.2),
+         evolution-data-server (<< 2.33.0),
          gnome-icon-theme (>= 2.19.92),
          dbus
-Pre-Depends: debconf (>= 1.4.69) | debconf-2.0
 Recommends: gnome-desktop-data,
             evolution-plugins,
             evolution-webcal,
@@ -113,16 +114,16 @@
   - calendar-file
   - calendar-http
   - calendar-weather
+  - email-custom-headers
   - itip-formatter
   - plugin-manager
+  - python
   - default-source
   - addressbook-file
   - startup-wizard
-  - print-message
   - mark-all-read
   - groupwise-features
   - groupwise-account-setup
-  - hula-account-setup
   - mail-account-disable
   - publish-calendar
   - caldav
@@ -131,12 +132,13 @@
   - sa-junk-plugin
   - bogo-junk-plugin
   - mono
+  - webdav-account-setup
 
 Package: libevolution
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: evolution (<< 2.29.1-1)
+Replaces: evolution (<< 2.32.0-0)
 Description: evolution libraries
  This package contains libraries used by evolution and the Anjal mail client.
 
@@ -144,6 +146,9 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: evolution
+Replaces: evolution-documentation-en, evolution-documentation-cs, evolution-documentation-de, evolution-documentation-el, evolution-documentation-es, evolution-documentation-fr, evolution-documentation-mk, evolution-documentation-oc, evolution-documentation-ru, evolution-documentation-sv
+Conflicts: evolution-documentation-en, evolution-documentation-cs, evolution-documentation-de, evolution-documentation-el, evolution-documentation-es, evolution-documentation-fr, evolution-documentation-mk, evolution-documentation-oc, evolution-documentation-ru, evolution-documentation-sv
+Provides: evolution-documentation-en, evolution-documentation-cs, evolution-documentation-de, evolution-documentation-el, evolution-documentation-es, evolution-documentation-fr, evolution-documentation-mk, evolution-documentation-oc, evolution-documentation-ru, evolution-documentation-sv
 Description: architecture independent files for Evolution
  Evolution is a groupware suite which integrates mail, calendar,
  address book, to-do list and memo tools.
@@ -193,8 +198,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: evolution-plugins-experimental (<< 2.29.2-1)
-Replaces: evolution-plugins-experimental (<< 2.29.1-1)
+Conflicts: evolution-plugins-experimental (<< 2.32.0-0)
+Replaces: evolution-plugins-experimental (<< 2.32.0-0)
 Recommends: notification-daemon
 Description: standard plugins for Evolution
  Evolution is a groupware suite which integrates mail, calendar,
@@ -211,25 +216,26 @@
   - select-one-source
   - copy-tool
   - mail-to-task
-  - mark-calendar-offline
   - audio-inline
   - mailing-list-actions
   - default-mailer
+  - email-custom-header
   - import-ics-attachments
   - prefer-plain
   - mail-notification
   - attachment-reminder
-  - face
   - backup-restore
   - templates
   - vcard-inline
   - image-inline
+  - pst-import
 
 Package: evolution-plugins-experimental
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution (= ${binary:Version}),
+Replaces: evolution-plugins (<< 2.32)
 Description: experimental plugins for Evolution
  Evolution is a groupware suite which integrates mail, calendar,
  address book, to-do list and memo tools.
@@ -240,11 +246,10 @@
  Evolution. Use with care.
  .
  The following plugins are included.
+  - face
   - folder-unsubscribe
   - mail-to-meeting
   - save-attachments
   - external-editor
-  - ipod-sync
   - tnef-attachments
-  - email-custom-headers
   - evolution-webdav

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
export LDFLAGS

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep ^Version | sed -ne 's/^Version: //g' -e 's/-[^-]*$$//pg')


ELIBDIR := usr/lib/evolution/2.32

DEB_SHLIBDEPS_INCLUDE := debian/evolution/$(ELIBDIR)
DEB_DH_MAKESHLIBS_ARGS_libevolution += -V'libevolution (>= ${UPSTREAM_VERSION})' --noscripts -X $(ELIBDIR)/modules
DEB_DH_MAKESHLIBS_ARGS_evolution += -V'evolution (>= ${UPSTREAM_VERSION})'
DEB_DH_MAKESHLIBS_ARGS_ALL += --noscripts -X $(ELIBDIR)/plugins


CFLAGS += -fPIC

DEB_CONFIGURE_EXTRA_FLAGS += \
	--with-openldap \
	--enable-nls \
	--disable-scrollkeeper \
	--with-krb5=/usr \
	--sysconfdir=/etc \
	--libexecdir=/usr/lib \
	--enable-plugins=experimental \
	--enable-python \
	--disable-image-inline \
	--disable-contacts-map

ifneq ($(DEB_HOST_ARCH_OS), linux)
	DEB_CONFIGURE_EXTRA_FLAGS+=--disable-nm
else
	DEB_CONFIGURE_EXTRA_FLAGS+=--enable-nm
endif

install/evolution-common::
	mv debian/tmp/usr/share/une/applications/evolution-mail-une.desktop debian/tmp/usr/share/une/applications/evolution.desktop

binary-install/evolution-common::
	chmod +x debian/evolution-common/usr/share/evolution/signature.py

clean::
	find -name '*.schemas' | xargs rm -f

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/evolution/([\d\.]+)[02468]/evolution-([\d\.]+)\.tar\.gz	debian	uupdate

## evolution 2.32.3

=== debian/changelog ===
evolution (2.32.3-3) unstable; urgency=low

  * debian/rules:
    - 03_port-notify-0.7 added, fix build with notify 0.7.      closes: #630268
  * debian/control:
    - update libnotify-dev build-dep.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 01 Aug 2011 23:21:31 +0200

evolution (2.32.3-2) unstable; urgency=low

  * debian/po:
    - ja.po updated.                                            closes: #624709
  * debian/control:
    - use linux-any in build-dependencies.                      closes: #634476
    - update description, remove Palm mention.                  closes: #635369

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 25 Jul 2011 20:23:56 +0200

evolution (2.32.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/watch updated to only track 2.32 branch.
  * debian/control:
    - bump eds build-deps to 2.32.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 26 Apr 2011 23:49:13 +0200

evolution (2.32.2-3) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.2.
  * debian/lintian/evolution-common:
    - update path to follow lintian changes.

  [ Josselin Mouette ]
  * Disable contacts-map plugin.
  * Drop build-dependencies on libchamplain, libgeoclue and clutter.
    Closes: #622655.

 -- Josselin Mouette <joss@debian.org>  Sun, 17 Apr 2011 12:14:24 +0200

evolution (2.32.2-2) unstable; urgency=low

  * debian/patches:
    - 01_let-nss-search-for-nssckbi added back, it wasn't merged upstream in
      the end.                                                  closes: #616587
    - 02_remove-disable-deprecated-from-configure added, remove the
      DISABLE_DEPRECATED options from configure, unusable in stable releases.
      Fix ftbfs with GTK+ 2.24.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Mar 2011 19:12:09 +0200

evolution (2.32.2-1) unstable; urgency=low

  * New upstream release.
    - categories are now editable.                              closes: #591950
  * debian/control:
    - bump build-deps for 2.32 release.
    - add  build-dep on libchamplain and geoclue to add contacts map plugin.
    - add build-dep on hardening-includes.
  * debian/rules:
    - pick flags from dpkg-buildflags.
    - include hardening rules.
    - add hardening flags, -z,defs, -O1 and --as-needed to LDFLAGS
    - add hardening flags to CFLAGS.
    - explicitly disable GTK3 build.
    - don't disable contact maps, drop pilot conduit disabling (useless now).
  * debian/patches:
    - 02_let-nss-search-for-nssckbi, 03_correctly-init-nss and 
      04_login-to-nss-on-demand dropped, included upstream.
  * debian/*.install:
    - install in 2.32 folder
  * debian/evolution-mail.desktop dropped, stick with upstream.
  * debian/evolution-plugins-experimental.install:
    - add contact-maps and dbx-import plugins.
  * debian/watch:
    - remove call to uupdate.
    - use .tar.bz2 since we have 3.0 source format.
   

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Feb 2011 23:21:33 +0100

=== debian/control ===
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, 
           Margarita Manterola <debian@marga.com.ar>,
           Loic Minier <lool@dooz.org>,
           Heikki Henriksen <heikkih@gmail.com>,
           Oystein Gisnas <oystein@gisnas.net>,
           Pedro Fragoso <emberez@gmail.com>,
           Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.2
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://svn.debian.org/svn/pkg-evolution/unstable/evolution
Vcs-Browser: http://svn.debian.org/wsvn/pkg-evolution/unstable/evolution
Build-Depends: debhelper (>= 7.2.3~),
               cdbs (>= 0.4.52),
               dpkg-dev (>= 1.14.16),
               hardening-includes,
               scrollkeeper,
               flex,
               bison,
               intltool (>= 0.35.0),
               libtool,
               pkg-config (>= 0.16.0),
               gnome-icon-theme (>= 2.19.92),
               gnome-doc-utils (>= 0.3.2),
               gtk-doc-tools (>= 0.6),
               libatk1.0-dev,
               libldap2-dev,
               libgtkhtml3.14-dev (>= 3.32.2),
               libgtkhtml-editor-3.14-dev (>= 3.32.2),
               libkrb5-dev,
               libnss3-dev,
               psmisc,
               libglib2.0-dev (>= 2.25.12),
               evolution-data-server-dev (>= 2.32.3),
               evolution-data-server-dev (<< 2.33),
               libgtk2.0-dev (>= 2.20.0),
               libxml2-dev,
               libgconf2-dev,
               libcamel1.2-dev (>= 2.32.3),
               libedataserver1.2-dev (>= 2.32.3),
               libegroupwise1.2-dev (>= 2.32.3),
               libedataserverui1.2-dev (>= 2.32.3),
               libebackend1.2-dev (>= 2.32.3),
               libgdata-dev,
               libecal1.2-dev (>= 2.32.3),
               libebook1.2-dev (>= 2.32.3),
               libgnome2-dev,
               libdbus-glib-1-dev,
               libnm-glib-dev [linux-any],
               libnotify-dev (>= 0.7.0),
               libsoup2.4-dev,
               libdbus-1-dev,
               libgstreamer0.10-dev,
               libytnef0-dev,
               automake,
               libtool,
               libical-dev,
               libicu-dev,
               libgweather-dev (>= 2.25.3),
               po-debconf,
               libgnome-desktop-dev (>= 2.26.0),
               sharutils,
               libunique-dev (>= 1.1.2),
               libcanberra-dev,
               libcanberra-gtk-dev,
               libgtkimageview-dev (>= 1.6),
               gnome-pkg-tools

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 2.32.3),
         evolution-data-server (<< 2.33),
         gnome-icon-theme (>= 2.30.2.1),
         dbus
Pre-Depends: debconf (>= 1.4.69) | debconf-2.0
Recommends: gnome-desktop-data,
            evolution-plugins,
            evolution-webcal,
            yelp,
            bogofilter | spamassassin
Suggests: bug-buddy,
          gnupg,
          network-manager,
          evolution-exchange,
          evolution-dbg,
          evolution-plugins-experimental
Provides: mail-reader,
          imap-client
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange and Groupwise
 servers, newsgroup client, LDAP support and web calendars
 .
 Evolution is a graphical application that is part of GNOME, and
 is distributed by Novell, Inc.
 .
 See http://www.novell.com/products/evolution/ for more
 information.
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - calendar-weather
  - itip-formatter
  - plugin-manager
  - default-source
  - addressbook-file
  - startup-wizard
  - print-message
  - mark-all-read
  - groupwise-features
  - groupwise-account-setup
  - hula-account-setup
  - mail-account-disable
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - sa-junk-plugin
  - bogo-junk-plugin
  - mono

Package: libevolution
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: evolution (<< 2.29.1-1)
Description: evolution libraries
 This package contains libraries used by evolution and the Anjal mail client.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: evolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}, 
# evolution-plugin
         libxml2-dev,
         libcamel1.2-dev,
         libunique-dev,
         libgtkhtml3.14-dev,
         libgtkhtml-editor-3.14-dev,
         libgnomecanvas2-dev,
# evolution-shell
         libgconf2-dev,
         libgnome-desktop-dev,
         libgtk2.0-dev,
         libedataserverui1.2-dev
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-dbg
Section: debug
Priority: extra
Architecture: any
Depends: evolution (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains unstripped binaries of evolution for
 use in debugging.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: evolution-plugins-experimental (<< 2.29.2-1)
Replaces: evolution-plugins-experimental (<< 2.29.1-1)
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - bbdb
  - subject-thread
  - save-calendar
  - select-one-source
  - copy-tool
  - mail-to-task
  - mark-calendar-offline
  - audio-inline
  - mailing-list-actions
  - default-mailer
  - import-ics-attachments
  - prefer-plain
  - mail-notification
  - attachment-reminder
  - face
  - backup-restore
  - templates
  - vcard-inline
  - image-inline

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - folder-unsubscribe
  - mail-to-meeting
  - save-attachments
  - external-editor
  - ipod-sync
  - tnef-attachments
  - email-custom-headers
  - evolution-webdav

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildvars.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk                  
include /usr/share/hardening-includes/hardening.make

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | grep ^Version | sed -ne 's/^Version: //g' -e 's/-[^-]*$$//pg')


ELIBDIR := usr/lib/evolution/2.32

DEB_SHLIBDEPS_INCLUDE := debian/evolution/$(ELIBDIR)
DEB_DH_MAKESHLIBS_ARGS_libevolution += -V'libevolution (>= ${UPSTREAM_VERSION})' --noscripts -X $(ELIBDIR)/modules
DEB_DH_MAKESHLIBS_ARGS_evolution += -V'evolution (>= ${UPSTREAM_VERSION})'
DEB_DH_MAKESHLIBS_ARGS_ALL += --noscripts -X $(ELIBDIR)/plugins

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(HARDENING_CFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed $(HARDENING_LDFLAGS)

export CFLAGS LDFLAGS

DEB_CONFIGURE_EXTRA_FLAGS += \
	--with-openldap \
	--enable-nls \
	--with-krb5=/usr \
	--sysconfdir=/etc \
	--libexecdir=/usr/lib \
	--enable-plugins=experimental \
	--disable-pst-import \
	--disable-contacts-map \
	--enable-gtk3=no

ifneq ($(DEB_HOST_ARCH_OS), linux)
	DEB_CONFIGURE_EXTRA_FLAGS+=--disable-nm
else
	DEB_CONFIGURE_EXTRA_FLAGS+=--enable-nm
endif

clean::
	debconf-updatepo
	find -name '*.schemas' | xargs rm -f

common-binary-post-install-indep::
	dh_bugfiles -A

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/evolution/2.32/evolution-([\d\.]+)\.tar\.bz2
